<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_3"
    android:layout_marginTop="@dimen/dp_7"
    android:layout_marginRight="@dimen/dp_3">

    <com.lihang.ShadowLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:hl_cornerRadius="@dimen/dp_8"
        app:hl_shadowLimit="@dimen/dp_3">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/dp_14"
            android:paddingTop="@dimen/dp_10"
            android:paddingRight="@dimen/dp_14"
            android:paddingBottom="@dimen/dp_6">

            <TextView
                android:id="@+id/tv_pay_method"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="left"
                android:background="@drawable/shape_payments_btn"
                android:gravity="left"
                android:paddingLeft="@dimen/dp_8"
                android:paddingTop="@dimen/dp_6"
                android:paddingRight="@dimen/dp_8"
                android:paddingBottom="@dimen/dp_6"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_14"
                android:textStyle="bold"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="支付方式" />

            <TextView
                android:id="@+id/tv_order_time"
                style="@style/order_item_twelve_textStyle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_5"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_weight="1"
                android:gravity="right"
                android:text="@string/Key_add_10"
                android:textSize="@dimen/dp_10"
                app:layout_constraintLeft_toRightOf="@id/tv_pay_method"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="2019-07-06 15:30:00"
                tools:textColor="@color/theme_333_color" />

            <TextView
                android:id="@+id/tv_order_user_name"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:ellipsize="end"
                android:maxLines="2"
                android:textColor="@color/theme_text_color"
                android:textSize="@dimen/sp_14"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@id/tv_order_state"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/tv_order_state"
                app:layout_constraintTop_toBottomOf="@id/tv_pay_method"
                app:layout_constraintTop_toTopOf="@id/tv_order_state"
                tools:text="用戶名+手機號（1234567862）"
                tools:textColor="@color/theme_333_color" />

            <TextView
                android:id="@+id/tv_address"
                style="@style/order_item_info_textStyle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_15"
                android:layout_marginRight="@dimen/dp_10"
                android:textColor="@color/color_3c"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/tv_order_amount"
                app:layout_constraintTop_toBottomOf="@id/tv_order_user_name"
                app:layout_constraintVertical_bias="1"
                tools:text="用戶收貨地址"
                tools:textColor="#868686" />

            <TextView
                android:id="@+id/tv_logistics_order_print_state"
                style="@style/order_item_info_title_textStyle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_9"
                android:gravity="right"
                android:text="物流單已打印"
                android:textColor="@color/color_3c"
                app:layout_constraintLeft_toRightOf="@id/tv_pay_method"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_order_time" />

            <TextView
                android:id="@+id/tv_delivery_state"
                style="@style/order_item_info_title_textStyle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_9"
                android:gravity="right"
                android:textColor="@color/color_3c"
                app:layout_constraintLeft_toRightOf="@id/tv_pay_method"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_logistics_order_print_state"
                tools:text="已通知物流"
                tools:textColor="@color/theme_333_color" />


            <TextView
                android:id="@+id/tv_order_state"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_3"
                android:gravity="center"
                android:paddingLeft="@dimen/dp_20"
                android:paddingTop="@dimen/dp_8"
                android:paddingRight="@dimen/dp_20"
                android:paddingBottom="@dimen/dp_8"
                android:textColor="@color/white"
                android:textSize="@dimen/dp_12"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_delivery_state"
                tools:text="訂單狀態"
                tools:textColor="@color/theme_333_color" />

            <TextView
                android:id="@+id/tv_order_amount"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_7"
                android:gravity="center_horizontal"
                android:maxWidth="@dimen/dp_100"
                android:textColor="@color/red_600"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toRightOf="@id/tv_address"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_order_state"
                tools:text="$14141144"
                tools:textColor="@color/theme_333_color" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </com.lihang.ShadowLayout>

    <FrameLayout
        android:id="@+id/fl_border"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/shape_order_border"
        android:visibility="gone" />
</FrameLayout>
